QwtAxis(3)

NAME
QwtAxis

SYNOPSIS

  Enumerations
enum Position { YLeft, YRight, XBottom, XTop }
Axis position.
enum { AxisPositions = XTop + 1 }
Number of axis positions.

  Functions
bool isValid (int axisPos)
bool isYAxis (int axisPos)
bool isXAxis (int axisPos)

Detailed Description

Enums and methods for axes

Enumeration Type Documentation

  enum QwtAxis::Position

Axis position.

Enumerator

YLeft
    Y axis left of the canvas.

YRight
    Y axis right of the canvas.

XBottom
    X axis below the canvas.

XTop
    X axis above the canvas.

Definition at line 21 of file qwt_axis.h.

Function Documentation

  bool QwtAxis::isValid (int axisPos) [inline]

Returns
    true, when axisPos is in the valid range [ YLeft, XTop ]

Definition at line 45 of file qwt_axis.h.

  bool QwtAxis::isXAxis (int axisPos) [inline]

Returns
    true, when axisPos is XBottom or XTop

Definition at line 51 of file qwt_axis.h.

  bool QwtAxis::isYAxis (int axisPos) [inline]

Returns
    true, when axisPos is YLeft or YRight

Definition at line 57 of file qwt_axis.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.